import request from "@/utils/request";

// 查询【请填写功能名称】列表
export function listOptionParaPrice(query) {
  return request({
    url: "/business/areaOption/para/price/list",
    method: "get",
    params: query,
  });
}

// 查询【请填写功能名称】详细
export function getOptionParaPrice(id) {
  return request({
    url: "/business/areaOption/para/price/" + id,
    method: "get",
  });
}

// 新增【请填写功能名称】
export function addOptionParaPrice(data) {
  return request({
    url: "/business/areaOption/para/price",
    method: "post",
    data: data,
  });
}

// 修改【请填写功能名称】
export function updateOptionParaPrice(data) {
  return request({
    url: "/business/areaOption/para/price",
    method: "put",
    data: data,
  });
}

export function toggleStatusOptionParaPrice(data) {
  return request({
    url: "/business/areaOption/para/price/toggleStatus",
    method: "put",
    data: data,
  });
}

// 删除【请填写功能名称】
export function delOptionParaPrice(id) {
  return request({
    url: "/business/areaOption/para/price/" + id,
    method: "delete",
  });
}
